#pragma once

#include "led.h"
#include "uart.h"
#include "wave.h"

#define LED0_BASE    0xc000
#define UART0_BASE   0xc010
#define PDMOUT0_BASE 0xc020
#define SQUARE0_BASE 0xc030
#define UART1_BASE   0xc040

#define led0 ((struct led*) LED0_BASE)
#define uart0 ((struct uart*) UART0_BASE)
#define uart1 ((struct uart*) UART1_BASE)
#define pdmout0 ((struct pdmout*) PDMOUT0_BASE)
#define square0 ((struct square*) SQUARE0_BASE)
